import "@/shared/ui/auth-classes.scss";
import Image from "next/image";
import sign_in_icon from "./icons/sign-in_icon.svg";
import SignInForm from "@/widgets/forms/SignInForm/SignInForm";
import { Metadata } from "next";
import { Link } from "@/shared/config/navigation";

export const metadata: Metadata = {
  title: "KG ROAD | Вход",
  description: "Страница входа Kyrgyzstan Transperency International",
};

const SignIn = () => {
  return (
    <div className="auth-page">
      <div className="auth-wrapper">
        <div className="auth-icon">
          <Image src={sign_in_icon} alt="Sign In Icon" />
        </div>
        <div className="auth-header">
          <h2>Войдите в аккаунт</h2>
          <p>Пожалуйста, введите свои данные</p>
        </div>

        <SignInForm />
        <p className="auth-redirect">
          Еще нет аккаунта?{" "}
          <Link href="/sign-up">Зарегистрируйтесь</Link>
        </p>
      </div>
    </div>
  );
};

export default SignIn;
