import "@/shared/ui/auth-classes.scss";
import Image from "next/image";
import mail from "./icons/mail.svg";
import ConfirmEmailForm from "@/widgets/forms/ConfirmEmailForm/ConfirmEmailForm";

const ConfirmEmail = ({
  searchParams,
}: {
  searchParams: {
    email: string;
  };
}) => {
  return (
    <div className="auth-page">
      <div className="auth-wrapper">
        <div className="auth-icon2">
          <Image src={mail} alt="Mail icon" width={56} height={56} />
        </div>
        <div className="auth-header">
          <h2>Проверьте свою почту</h2>
          <p>Мы отправили код на почту {searchParams.email}</p>
        </div>
        <ConfirmEmailForm email={searchParams.email} />
      </div>
    </div>
  );
};

export default ConfirmEmail;
