import { LINKS } from "@/shared/variables/links";
import "./NavMenu.scss";
import NavAuth from "../NavAuth/NavAuth";
import { Link, usePathname } from "@/shared/config/navigation";

interface INavMenuProps {
  setOpenMenu: (boolean: boolean) => void;
}

const NavMenu: React.FC<INavMenuProps> = ({
  setOpenMenu,
}: INavMenuProps) => {
  const pathname = usePathname();

  return (
    <nav className="nav-menu">
      {LINKS().map((link) => (
        <Link
          onClick={() => setOpenMenu(false)}
          className={`nav-menu__link${
            pathname.slice(4) === link.pathname ? "_active" : ""
          }`}
          href={`${pathname.slice(1, 3)}/${link.pathname}`}
          key={link.id}
        >
          {link.pagename}
        </Link>
      ))}

      <NavAuth setOpenMenu={setOpenMenu} responsible />
    </nav>
  );
};

export default NavMenu;
